GNU bug report logs - #41945
guix deploy --dry-run: unrecognized option

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; merged with #44893; dated Fri, 19 Jun 2020 03:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 41945 44893. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jun 2020 03:36:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 18 23:36:23 2020
Received: from localhost ([127.0.0.1]:54785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jm7pH-0004EQ-2L
	for submit <at> debbugs.gnu.org; Thu, 18 Jun 2020 23:36:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:42052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1jm7pE-0004EI-QF
 for submit <at> debbugs.gnu.org; Thu, 18 Jun 2020 23:36:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56314)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1jm7pE-0001N4-I4
 for bug-guix@HIDDEN; Thu, 18 Jun 2020 23:36:20 -0400
Received: from mail-qv1-xf31.google.com ([2607:f8b0:4864:20::f31]:46142)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1jm7pD-0008DF-7P
 for bug-guix@HIDDEN; Thu, 18 Jun 2020 23:36:20 -0400
Received: by mail-qv1-xf31.google.com with SMTP id cv17so3818536qvb.13
 for <bug-guix@HIDDEN>; Thu, 18 Jun 2020 20:36:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=ZmmfYXASLOfmkfYMIy8lCbrrgfjd3oUbOkKHAED80jE=;
 b=nN5WPZm0tdy+0qSy5UQw7xDTqoDKe5/8GPJ0jEna+c8F2RZv3ahsI7iG9FyJUW7tw1
 5FpWQmoz+QSYYEI+YcEV3Vvzcdv7wvFzWD/rYyAD1ryu07hKNxhPZz6buJAt8Rkrckfq
 jHPhNDiVn8drg3OjG8SGyIkTfPcGSJKnIzCQ97eAJC1darZ8YyhwBqPHm4Sz3ZG4kIzi
 G7552d1Jv+UdZLp700PoIc5syHuyS5TLMK0UfRvH2yfwqFppt1pmSS8wpZtOYS0Sp8a5
 WeXPAADi3SlvQ1XOcjV6Pu3x6v0kNbhVYOfAnBPsiMGP4Wa5eD5pTQEnmsZLV2mgzez2
 69Jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=ZmmfYXASLOfmkfYMIy8lCbrrgfjd3oUbOkKHAED80jE=;
 b=UAf3JjIz6XUU91QR8wSRMGeW/MdAJ+8pNHBV61p84vlgaERRr55hhmuJ+l49xjkYiF
 haLBwNZtdzD6bsfRHpkCwJLPUn2I9cvi9+emVD5VAJcJBinuFnEBEKrVCfddaB6IFk8j
 +kV+z6TSdHYumbMYwg1kT9dipLFdRyXfmTQiyMUYgJb6xZ3iO1YRcd46cpe5IeCb1FLi
 Cql3ffxRVoSwEqGiAJ26FEIXPF/gf+M1j/lOMwiGBXSWDok7VjNwcny1wr4El9sSZs/h
 iSDIWG2rrJiBShHukOJt0GbPANw/V2xPTCnrVGnI06pbiK6Xxo20GpDd4Q/EwI6urR/2
 T2Gg==
X-Gm-Message-State: AOAM532lgeXHtaAdPG70b4olN73KNM3pQQDk+bns/EPRz37L3n3KH+5/
 58axWwAL94NUaajV9W46jBp8lsfVeGI=
X-Google-Smtp-Source: ABdhPJxBH2avqcBdYNygLb9KHwUte+en95E2pBceZO2aulOGvmBO7bU1mx0hlK8Y553MMh2f2RUaHg==
X-Received: by 2002:ad4:59d2:: with SMTP id el18mr7090318qvb.124.1592537778103; 
 Thu, 18 Jun 2020 20:36:18 -0700 (PDT)
Received: from hurd (dsl-158-12.b2b2c.ca. [66.158.158.12])
 by smtp.gmail.com with ESMTPSA id y16sm2296908qkb.116.2020.06.18.20.36.17
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 18 Jun 2020 20:36:17 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: guix deploy --dry-run: unrecognized option
Date: Thu, 18 Jun 2020 23:36:17 -0400
Message-ID: <87mu4zd8we.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::f31;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qv1-xf31.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_TONAME_EQ_TOLOCAL_SHORT=1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello! guix deploy --help says it supports a --dry-run
 version
 (or -n), but it fails to live up to it: guix deploy --dry-run my-machine.scm
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello!

guix deploy --help says it supports a --dry-run version (or -n), but it
fails to live up to it:

guix deploy --dry-run my-machine.scm

guix deploy: error: dry-run: unrecognized option

Maxim




Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#41945; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Nov 2020 04:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.